- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- AcquireMagickResource
- AcquireUniqueFileResource
- GetMagickResource
- ListMagickResourceInfo
- RelinquishMagickResource
- RelinquishUniqueFileResource
- SetMagickResourceLimit

# NAME

resource - Resource Consumption

# SYNOPSIS

unsigned int AcquireMagickResource( const ResourceType type, const MagickSizeType size );

int AcquireUniqueFileResource( char *path );

unsigned long GetMagickResource( const ResourceType type );

unsigned int ListMagickResourceInfo( FILE *file, ExceptionInfo *exception );

void RelinquishMagickResource( const ResourceType type, const MagickSizeType size );

unsigned int( void ) RelinquishUniqueFileResource( char *path );

unsigned int SetMagickResourceLimit( const ResourceType type, const unsigned long limit );

# FUNCTION DESCRIPTIONS

## AcquireMagickResource

> AcquireMagickResource() acquires resources of the specified type. True is returned if the specified resource is available otherwise False.

> The format of the AcquireMagickResource() method is:

> unsigned int AcquireMagickResource ( const ResourceType type, const MagickSizeType size );

A description of each parameter follows:

type:
  The type of resource.

size:
  The number of bytes needed from for this resource.

## AcquireUniqueFileResource

> AcquireUniqueFileResource() returns a unique file name, and returns a file descriptor for the file open for reading and writing.

> The format of the AcquireUniqueFileResource() method is:

> int AcquireUniqueFileResource ( char *path );

A description of each parameter follows:

path:
  Specifies a pointer to an array of characters. The unique path name is returned in this array.

## GetMagickResource

> GetMagickResource() returns the the specified resource in megabytes.

> The format of the GetMagickResource() method is:

> unsigned long GetMagickResource ( const ResourceType type );

A description of each parameter follows:

type:
  The type of resource.

## ListMagickResourceInfo

> ListMagickResourceInfo() lists the resource info to a file.

The format of the ListMagickResourceInfo method is:

> unsigned int ListMagickResourceInfo ( FILE *file, ExceptionInfo *exception );

A description of each parameter follows.

file:
  An pointer to a FILE.

exception:
  Return any errors or warnings in this structure.

## RelinquishMagickResource

> RelinquishMagickResource() relinquishes resources of the specified type.

> The format of the RelinquishMagickResource() method is:

> void RelinquishMagickResource ( const ResourceType type, const MagickSizeType size );

A description of each parameter follows:

type:
  The type of resource.

size:
  The size of the resource.

## RelinquishUniqueFileResource

> RelinquishUniqueFileResource() relinquishes a unique file resource.

> The format of the ( void ) RelinquishUniqueFileResource() method is:

> unsigned int ( void ) RelinquishUniqueFileResource ( char *path );

A description of each parameter follows:

name:
  the name of the temporary resource.

## SetMagickResourceLimit

> SetMagickResourceLimit() sets the limit for a particular resource in megabytes.

> The format of the SetMagickResourceLimit() method is:

> unsigned int SetMagickResourceLimit ( const ResourceType type, const unsigned long limit );

A description of each parameter follows:

type:
  The type of resource.

limit:
  The maximum limit for the resource.

"Image manipulation software that works like magick"